WP6FixedLengthGroup Class Referenceabstract

`#include <WP6FixedLengthGroup.h>`

Inheritance diagram for WP6FixedLengthGroup:

## Public Member Functions

| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()
virtual void | parse (WP6Listener *listener)=0

## Static Public Member Functions

static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0

## Private Attributes

unsigned char | m_group

## Constructor & Destructor Documentation

## WP6FixedLengthGroup()

WP6FixedLengthGroup::WP6FixedLengthGroup | ( | unsigned char | groupID | ) |

Referenced by constructFixedLengthGroup(), WP6AttributeGroup::WP6AttributeGroup(), WP6ExtendedCharacterGroup::WP6ExtendedCharacterGroup(), WP6HighlightGroup::WP6HighlightGroup(), WP6UndoGroup::WP6UndoGroup(), and WP6UnsupportedFixedLengthGroup::WP6UnsupportedFixedLengthGroup().

## Member Function Documentation

## _read()

void WP6FixedLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP6AttributeGroup::WP6AttributeGroup(), WP6ExtendedCharacterGroup::WP6ExtendedCharacterGroup(), WP6HighlightGroup::WP6HighlightGroup(), WP6UndoGroup::WP6UndoGroup(), and WP6UnsupportedFixedLengthGroup::WP6UnsupportedFixedLengthGroup().

## _readContents()

virtual void WP6FixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected pure virtual

Implemented in WP6AttributeGroup, WP6ExtendedCharacterGroup, WP6HighlightGroup, WP6UndoGroup, and WP6UnsupportedFixedLengthGroup.

Referenced by _read().

## constructFixedLengthGroup()

WP6FixedLengthGroup * WP6FixedLengthGroup::constructFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

static

Referenced by WP6Part::constructPart().

## getGroup()

unsigned char WP6FixedLengthGroup::getGroup | ( |  | ) | const

inline

## isGroupConsistent()

bool WP6FixedLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID )

static

Referenced by WP6Part::constructPart().

## Member Data Documentation

## m_group

unsigned char WP6FixedLengthGroup::m_group

private

Referenced by _read(), getGroup(), and WP6FixedLengthGroup().

The documentation for this class was generated from the following files:

- WP6FixedLengthGroup.h
- WP6FixedLengthGroup.cpp